Bug 1330072 - Successful Capsule install when it is not registered with subscription manager to Satellite
Summary: Successful Capsule install when it is not registered with subscription manage...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: John Mitsch
URL:
Whiteboard: centralci
: 1382166 (view as bug list)
Depends On:
Blocks: 1338516
TreeView+ depends on / blocked
 
Reported: 2016-04-25 11:13 UTC by Alexander Braverman
Modified: 2019-09-25 21:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 12556 None None None 2016-08-11 18:40:26 UTC

Description Alexander Braverman 2016-04-25 11:13:48 UTC
Description of problem:
Capsule install documentation doesn't mention why capsule's subscription manager should be registered to Satellite. The katello-installer finish installation successfully without a warning. The leads the user to believe that everything is OK, and will able to use the capsule.
However, once the user will try publish new content view, it will get fail silently. The task will finish with a warning:
"Could not find Content Host with exact name 'abraverm-capsule-6-2.usersys.redhat.com', verify the Capsule is registered with that name."

Version-Release number of selected component (if applicable):
Snap 8.2

How reproducible:
Always

Steps to Reproduce:
Install new Capsule (https://access.stage.redhat.com/documentation/en/red-hat-satellite/version-6.2-beta/installation-guide/#registering_capsule_to_satellite)
without:
# rpm -Uvh http://satellite.example.com/pub/katello-ca-consumer-latest.noarch.rpm
# subscription-manager register --org organization_label

Actual results:
foreman-installer will finish successfully without warning or errors.

Expected results:
Warning\Error in the installation log\output and in Web UI.

Additional info:

Comment 1 Ivan Necas 2016-04-26 19:51:48 UTC
Created redmine issue http://projects.theforeman.org/issues/14834 from this bug

Comment 3 Bryan Kearney 2016-08-11 18:40:24 UTC
Connecting redmine issue http://projects.theforeman.org/issues/12556 from this bug

Comment 4 Bryan Kearney 2016-08-11 20:14:52 UTC
Upstream bug component is Infrastructure

Comment 5 Justin Sherrill 2016-08-25 17:07:33 UTC
This was fixed upstream by https://github.com/Katello/katello/pull/6104

should make 6.3

Comment 8 Chris Duryee 2016-11-02 19:46:02 UTC
*** Bug 1382166 has been marked as a duplicate of this bug. ***

Comment 10 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.